#include <iostream>

using namespace std;

int main()
{
	
	unsigned long v, rez = 0;
	cin >> v;
	while (v > 0)
	{
		unsigned char poslednja_cifra = v % 10;
		v /= 10;
		if (poslednja_cifra >= 5)
		{
			rez++;
			poslednja_cifra -= 5;
		}
		rez += poslednja_cifra / 2 + poslednja_cifra % 2;
	}
	cout << rez;
}